すべての実稼働 API は https://api.agihalo.comを使用します。以下のパスは、呼び出し元と資格情報の境界によってグループ化されています。
#モデル ゲートウェイ
POST
/v1beta/models/:model:generateContentPOST
/v1beta/models/:model:streamGenerateContentPOST
/v1beta/models/:model:predictLongRunningPOST
/openai/v1/chat/completionsPOST
/openai/v1/images/generationsPOST
/openai/v1/images/editsPOST
/claude/v1/messagesPOST
/deepseek/v1/chat/completionsPOST
/fish-audio/v1/ttsPOST
/v1/chat/completionsPOST
/v1/images/generationsPOST
/v1/images/editsPOST
/:family/v1/chat/completions#メモリ
POST
/api/v1/memory/capturePOST
/api/v1/memory/retrievePOST
/api/v1/memory/functions/halo_retrieve_end_user_memoryGET
/api/v1/memory/projectsPOST
/api/v1/memory/projectsGET
/api/v1/memory/projects/:projectKeyDELETE
/api/v1/memory/projects/:projectKey#プロジェクト認証
GET
/api/v1/auth/settingsGET
/api/v1/auth/.well-known/jwks.jsonPOST
/api/v1/auth/signupPOST
/api/v1/auth/tokenGET
/api/v1/auth/userPOST
/api/v1/auth/logoutPOST
/api/v1/auth/recoverPOST
/api/v1/auth/password/resetGET
/api/v1/auth/providers/:provider/authorizePOST
/api/v1/auth/providers/tokenGET
/api/v1/auth/oauth/authorizePOST
/api/v1/auth/oauth/authorizePOST
/api/v1/auth/oauth/tokenGET
/api/v1/auth/oauth/userinfo#Agent Access
Partner backend calls use the matching Project secret API key. Follow the integration guide to register a Client App, create a Link Session, and retrieve the approvedclientAccessId. The Link creation request optionally acceptssame-email association consent.
GET
/api/v1/agent-access/projects/:projectKey/agentsPOST
/api/v1/agent-access/projects/:projectKey/link-sessionsGET
/api/v1/agent-access/projects/:projectKey/link-sessions/:sessionIdGET
/api/v1/agent-access/projects/:projectKey/client-accessesDELETE
/api/v1/agent-access/projects/:projectKey/client-accesses/:clientAccessIdPOST
/api/v1/agent-access/projects/:projectKey/approvalsPOST
/api/v1/agent-access/projects/:projectKey/executionsPOST
/api/v1/agent-access/projects/:projectKey/executions/queryThe opaque Link token allows the browser to read its request. The following verification and consent actions additionally require the signed-in HALO owner's platform JWT.
GET
/api/v1/agent-access/link-sessions/:linkTokenPOST
/api/v1/agent-access/link-sessions/:linkToken/verify-ownerPOST
/api/v1/agent-access/link-sessions/:linkToken/reviewPOST
/api/v1/agent-access/link-sessions/:linkToken/connected-accounts/authorizePOST
/api/v1/agent-access/link-sessions/:linkToken/confirmGET
/api/v1/agent-access/access-identityPOST
/api/v1/agent-access/access-identity/approvals/:approvalId/decisionDELETE
/api/v1/agent-access/access-identity/client-accesses/:clientAccessIdDELETE
/api/v1/agent-access/access-identity/connected-accounts/:connectedAccountIdConnected Account provider callbacks use a one-time OAuth state. The callback is not a partner-server credential exchange.
GET
/api/v1/agent-access/oauth/callback/:providerKey#サービスレジストリ
GET
/api/v1/servicesPOST
/api/v1/servicesGET
/api/v1/services/:idGET
/api/v1/services/:id/metadata.jsonPOST
/api/v1/services/:id/dns/verifyPOST
/api/v1/services/:id/erc8004/prepare-registerPOST
/api/v1/services/:id/erc8004/confirm-register#アカウントとKeeper
GET
/api/user/projectsPOST
/api/user/projectsGET
/api/user/keysPOST
/api/user/keysDELETE
/api/user/keys/:keyGET
/api/user/model-vendorsPUT
/api/user/model-vendorsGET
/api/user/model-providersPOST
/api/user/model-providersPOST
/api/user/model-providers/:id/testPOST
/api/user/model-providers/payouts